<!--
title: Kubernetes for dummies
description: 
published: true
date: 2023-02-10T12:51:10.475Z
tags: 
editor: ckeditor
dateCreated: 2021-12-21T14:01:33.500Z
-->

<h1>Docker and Kubernetes for Dummies&nbsp;</h1>
<p>When new to the container world, start with Docker first and move on to Kubernetes when you feel ready for it.</p>
<p>For developers:</p>
<p><a href="https://training.play-with-docker.com/#dev">https://training.play-with-docker.com/#dev</a></p>
<p>For IT Pros and System Administrators:</p>
<p><a href="https://training.play-with-docker.com/#ops">https://training.play-with-docker.com/#ops</a></p>
<p>Containers 101 (even more basic):</p>
<p><a href="https://kube.academy/courses/containers-101">https://kube.academy/courses/containers-101</a></p>
<p>Simple explanation of Kubernetes (8m video):<br><a href="https://youtu.be/4ht22ReBjno">https://youtu.be/4ht22ReBjno</a></p>
<p>Kubernetes, getting started with the terminologies and architecture:</p>
<p><a href="https://www.guru99.com/kubernetes-tutorial.html#8">https://www.guru99.com/kubernetes-tutorial.html#8</a></p>
<p>Similar explanation:<br><a href="https://devetry.com/blog/the-non-technical-guide-to-kubernetes-that%E2%80%99s-admittedly-a-bit-technical/">https://devetry.com/blog/the-non-technical-guide-to-kubernetes-that%E2%80%99s-admittedly-a-bit-technical/</a></p>
<p>Kubernetes 101: <a href="https://kube.academy/courses/kubernetes-101">https://kube.academy/courses/kubernetes-101</a></p>
<p>Kubernetes Hands-on Workshop</p>
<p><a href="https://training.play-with-kubernetes.com/kubernetes-workshop">https://training.play-with-kubernetes.com/kubernetes-workshop</a></p>
<p>Web-based interactive course:</p>
<p><a href="https://www.katacoda.com/courses/kubernetes">https://www.katacoda.com/courses/kubernetes</a></p>
<p>YouTube Kubernetes crash course</p>
<p><a href="https://youtu.be/s_o8dwzRlu4">https://youtu.be/s_o8dwzRlu4</a></p>
<p>YouTube playlist: 100 days of Kubernetes covering various concepts and projects</p>
<p><a href="https://youtube.com/playlist?list=PLWnens-FYbIpUpmiiNYfkqTZQUYppGMFV">https://youtube.com/playlist?list=PLWnens-FYbIpUpmiiNYfkqTZQUYppGMFV</a></p>
<p>100 days of Kubernetes in writing: <a href="https://devops.anaisurl.com/kubernetes">https://devops.anaisurl.com/kubernetes</a></p>
<p>Articles Kubernetes for Developers:</p>
<p><a href="https://matthewpalmer.net/kubernetes-app-developer/articles/">https://matthewpalmer.net/kubernetes-app-developer/articles/</a></p>
<p>&nbsp;</p>
<p>Kubectl cheatsheet:</p>
<p><a href="https://kubernetes.io/docs/reference/kubectl/cheatsheet/">https://kubernetes.io/docs/reference/kubectl/cheatsheet/</a></p>
